clear all
use AEJ_data_2rep.dta, replace




foreach var in male married nkids age agesq years_school prop_election  pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition law pol2 director entrepreneur selfemp physician income_1 leg13{
gen bill_`var'=bill*`var'
gen abs_`var'=absenteeism_perc*`var'
}

local controls1 male married nkids age agesq years_school prop_election /*
*/ pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition /*
*/ law pol2 director entrepreneur selfemp physician income_1 leg13

xi: dprobit reelected_idem_place abs_don_prop absenteeism_perc abs_don don_prop prop_abs `controls1' i.elect_place,robust cluster(elect_place)
outreg2 abs_don abs_don_prop prop_abs don_prop absenteeism_perc prop_election years_school pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab8, bdec(3) brac nocons nor tex(nopretty) replace

xi: dprobit reelected_idem_place abs_don_prop absenteeism_perc abs_don don_prop prop_abs abs_incpp abs_edu1 abs_quotidiani abs_urb `controls1' i.elect_place,robust
outreg2 abs_don abs_don_prop prop_abs don_prop absenteeism_perc prop_election years_school pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab8, bdec(3) brac nocons nor tex(nopretty) append

xi: dprobit reelected_idem_place bill_don_prop bill bill_don don_prop prop_bill `controls1' i.elect_place,robust cluster(elect_place)
outreg2 bill_don bill_don_prop prop_bill don_prop bill prop_election years_school pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab8, bdec(3) brac nocons nor tex(nopretty) append

xi: dprobit reelected_idem_place bill_don_prop bill  bill_don don_prop prop_bill  bill_incpp bill_edu1 bill_quotidiani bill_urb `controls1' i.elect_place,robust cluster(elect_place)
outreg2 bill_don bill_don_prop prop_bill don_prop bill prop_election years_school pol_national appointment_gov appointment_parl past_appointment_local fresh gov_coalition income_1 /*
*/ using Tab8, bdec(3) brac nocons nor tex(nopretty) append
